[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.OnDropDown

Handler invoked when the list has dropped down.

## Declaration

Source position: stdctrls.pp line 400

`protected property TCustomComboBox.OnDropDown : TNotifyEvent read FOnDropDown write FOnDropDown;`

## Description

OnDropDown is a TNotifyEvent property with the event handler signalled when the drop-down list for the control is displayed. OnDropDown is signalled (when assigned) from the DropDown method. DropDown is called when the CBN_DROPDOWN message is handled for the control.

Implement and assign an object procedure to the handler to respond to the event notification.

## See also

TCustomComboBox.Style |  | Controls the appearance and behavior for the combo-box.
TCustomComboBox.DropDown |  | Signals the OnDropDown event handler.
TNotifyEvent